Resource

Monitor Secret

Monitor Secret is a secret variable that can be used in monitors. For example you can store auth tokens, passwords, etc. in Monitor Secret and use them in your monitors. Monitor Secret is encrypted and only accessible by the probe.

The Monitor Secret Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    description
    Type
    Long Text
    Description

    Friendly description that will help you remember

  • Name
    secretValue
    Type
    Very Long Text
    Description

    Secret value that you want to store in this object. This value will be encrypted and only accessible by the probe.

  • Name
    monitors
    Type
    Monitor
    Description

    List of monitors that can access this secret

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/monitor-secret/get-list

List

This endpoint allows you to retrieve a paginated list of all your Monitor Secret. By default, a maximum of ten Monitor Secret are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/monitor-secret/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "createdByUser": true,
    "createdByUserId": true,
    "description": true
  },
  "query": {
    "name": "API_AUTH_TOKEN"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37756240-28fe-11f1-b591-3fdcef396aba",
      "name": "API_AUTH_TOKEN",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "description": "API authentication token for third-party service integration"
    },
    {
      "_id": "37756241-28fe-11f1-b591-3fdcef396aba",
      "name": "API_AUTH_TOKEN",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "description": "API authentication token for third-party service integration"
    },
    {
      "_id": "37756242-28fe-11f1-b591-3fdcef396aba",
      "name": "API_AUTH_TOKEN",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUserId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "description": "API authentication token for third-party service integration"
    }
  ]
}
GETorPOST/api/monitor-secret/:id/get-item

Get item by ID

This endpoint allows you to retrieve Monitor Secret by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/monitor-secret/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "createdByUser": true,
    "createdByUserId": true,
    "description": true
  }
}

Response

{
  "_id": "37756240-28fe-11f1-b591-3fdcef396aba",
  "name": "API_AUTH_TOKEN",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUser": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "description": "API authentication token for third-party service integration"
}
POST/api/monitor-secret/count

Count

This endpoint allows you to retrieve the count of all your Monitor Secret.

Optional Request Body

Count Request

POST
/api/monitor-secret/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "API_AUTH_TOKEN"
  }
}

Response

{
  "count": 107
}
POST/api/monitor-secret

Create Monitor Secret

This endpoint allows you to create a new object.

Create Request

POST
/api/monitor-secret
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "API_AUTH_TOKEN",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUser": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUserId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "description": "API authentication token for third-party service integration"
  }
}

Response

{
  "_id": "37756240-28fe-11f1-b591-3fdcef396aba",
  "name": "API_AUTH_TOKEN",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUser": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUserId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "description": "API authentication token for third-party service integration"
}
PUT/api/monitor-secret/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/monitor-secret/:id/update-item
GET/api/monitor-secret/:id/update-item

Update Request

PUT
/api/monitor-secret/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "API_AUTH_TOKEN",
    "description": "API authentication token for third-party service integration",
    "monitors": "[\"5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e\"]"
  }
}

Response

{}
DELETE/api/monitor-secret/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/monitor-secret/:id/delete-item
GET/api/monitor-secret/:id/delete-item

Delete Request

DELETE
/api/monitor-secret/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Monitor Secret

  • Project Owner
  • Project Admin
  • Read Monitor Secret
  • Read All Project Resources

Create Permissions

Required to create Monitor Secret

  • Project Owner
  • Project Admin
  • Create Monitor Secret

Update Permissions

Required to update Monitor Secret

  • Project Owner
  • Project Admin
  • Edit Monitor Secret

Delete Permissions

Required to delete Monitor Secret

  • Project Owner
  • Project Admin
  • Delete Monitor Secret